/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ClusterBeanByDD.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.cluster;

import java.sql.Connection;
import java.sql.SQLException;

import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.sql.DataSource;

import org.ow2.easybeans.api.bean.EasyBeansBean;


/**
 * @author eyindanga
 */
@Stateless
public class ClusterBeanByDD implements ClusterRemote {


    /**
     * Link to a datasource.
     */
    @Resource(name="jdbc/myJDBC", mappedName="jdbc_1")
    private DataSource datasource = null;

    private String ezbServerDescription = null;

    /**
     * Name of the application.
     */
    private String applicationName = null;

    /**
     *  Name of the container.
     */
    private String containerName = null;


    public String getEZBServerDescription(final String msg) {

        if(this.ezbServerDescription == null) {
            this.ezbServerDescription =
                ((EasyBeansBean) this).getEasyBeansFactory().getContainer().getConfiguration().getEZBServer().getDescription();
        }
        if (this.containerName == null) {
            this.containerName = ((EasyBeansBean) this).getEasyBeansFactory().getContainer().getName();
        }

        if (this.applicationName == null) {
            this.applicationName = ((EasyBeansBean) this).getEasyBeansFactory().getContainer().getApplicationName();
        }

        // enlist a datasource for updating the transaction statistics (bug in JOTM)
        try {
            Connection c1 = this.datasource.getConnection();
            c1.close();
        } catch (SQLException e) {
        }

        System.out.println(msg);
        return "EZB Description: " + this.ezbServerDescription + "\n" +
        "Application Name: " + this.applicationName + "\n" + "Container name: " + this.containerName;
    }

}
