/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Utils.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.cluster;

import java.io.InputStream;
import java.io.OutputStream;

/**
 *
 * @author eyindanga
 */
public class Utils {

    /**
     * Pause time.
     */
    static long PAUSE_TIME = 2000;

    /**
     * Time to loop on bean invoke.
     */
    static int LOOP_NUMBER = 20;

    /**
     * Copy from <code>src</code> to <code>dest</code>.
     * @param src the source
     * @param dest the destination
     * @throws Exception any.
     */
    public static void copy(final InputStream src, final OutputStream dest) throws Exception {
        byte buf[]=new byte[1024];
        int len;
        while((len = src.read(buf))>0) {
            dest.write(buf,0,len);
        }
        src.close();
        dest.close();
    }
}
